clang-tools 8.0.0

Namespaces | Functions
CodeCompletionStrings.h File Reference
`#include "clang/Sema/CodeCompleteConsumer.h"`
Include dependency graph for CodeCompletionStrings.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::string | clang::clangd::getDocComment (const ASTContext &Ctx, const CodeCompletionResult &Result, bool CommentsFromHeaders)
| Gets a minimally formatted documentation comment of `Result`, with comment markers stripped. More...
std::string | clang::clangd::getDeclComment (const ASTContext &Ctx, const NamedDecl &D)
| Similar to getDocComment, but returns the comment for a NamedDecl. More...
void | clang::clangd::getSignature (const CodeCompletionString &CCS, std::string *Signature, std::string *Snippet, std::string *RequiredQualifiers=nullptr)
| Formats the signature for an item, as a display string and snippet. More...
std::string | clang::clangd::formatDocumentation (const CodeCompletionString &CCS, llvm::StringRef DocComment)
| Assembles formatted documentation for a completion result. More...
std::string | clang::clangd::getReturnType (const CodeCompletionString &CCS)
| Gets detail to be used as the detail field in an LSP completion item. More...